> ## Documentation Index
> Fetch the complete documentation index at: https://agentstack.beeai.dev/llms.txt
> Use this file to discover all available pages before exploring further.

# List Models



## OpenAPI

````yaml /development/api-reference/openapi.json get /api/v1/openai/models
openapi: 3.1.0
info:
  title: Agentstack server
  version: 0.6.3
servers: []
security: []
paths:
  /api/v1/openai/models:
    get:
      tags:
        - openai
      summary: List Models
      operationId: list_models_api_v1_openai_models_get
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/OpenAIPage_Model_'
      security:
        - HTTPBasic: []
        - HTTPBearer: []
components:
  schemas:
    OpenAIPage_Model_:
      properties:
        data:
          items:
            $ref: '#/components/schemas/Model'
          type: array
          title: Data
        object:
          type: string
          const: list
          title: Object
          default: list
      type: object
      required:
        - data
      title: OpenAIPage[Model]
    Model:
      properties:
        id:
          type: string
          title: Id
        created:
          type: integer
          title: Created
          default: 0
        object:
          type: string
          const: model
          title: Object
          default: model
        owned_by:
          type: string
          title: Owned By
          default: unknown
        provider:
          $ref: '#/components/schemas/ModelProviderInfo'
        display_name:
          anyOf:
            - type: string
            - type: 'null'
          title: Display Name
      additionalProperties: true
      type: object
      required:
        - id
        - provider
      title: Model
    ModelProviderInfo:
      properties:
        capabilities:
          items:
            $ref: '#/components/schemas/ModelCapability'
          type: array
          uniqueItems: true
          title: Capabilities
      type: object
      required:
        - capabilities
      title: ModelProviderInfo
    ModelCapability:
      type: string
      enum:
        - llm
        - embedding
      title: ModelCapability
  securitySchemes:
    HTTPBasic:
      type: http
      scheme: basic
    HTTPBearer:
      type: http
      scheme: bearer

````